# Uses of Class
javax.swing.JSpinner

Packages that use JSpinner
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of JSpinner in javax.swing

Methods in javax.swing that return JSpinner
Modifier and Type
Method
Description
`JSpinner`
JSpinner.DefaultEditor.`getSpinner()`
Returns the `JSpinner` ancestor of this editor or `null` if none of the ancestors are a `JSpinner`.
Methods in javax.swing with parameters of type JSpinner
Modifier and Type
Method
Description
`void`
JSpinner.DefaultEditor.`dismiss(JSpinner spinner)`
Disconnect `this` editor from the specified `JSpinner`.
Constructors in javax.swing with parameters of type JSpinner
Modifier
Constructor
Description
``
`DateEditor(JSpinner spinner)`
Construct a `JSpinner` editor that supports displaying and editing the value of a `SpinnerDateModel` with a `JFormattedTextField`.
``
`DateEditor(JSpinner spinner, String dateFormatPattern)`
Construct a `JSpinner` editor that supports displaying and editing the value of a `SpinnerDateModel` with a `JFormattedTextField`.
``
`DefaultEditor(JSpinner spinner)`
Constructs an editor component for the specified `JSpinner`.
``
`ListEditor(JSpinner spinner)`
Construct a `JSpinner` editor that supports displaying and editing the value of a `SpinnerListModel` with a `JFormattedTextField`.
``
`NumberEditor(JSpinner spinner)`
Construct a `JSpinner` editor that supports displaying and editing the value of a `SpinnerNumberModel` with a `JFormattedTextField`.
``
`NumberEditor(JSpinner spinner, String decimalFormatPattern)`
Construct a `JSpinner` editor that supports displaying and editing the value of a `SpinnerNumberModel` with a `JFormattedTextField`.

## Uses of JSpinner in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JSpinner
Modifier and Type
Field
Description
`protected JSpinner`
BasicSpinnerUI.`spinner`
The spinner that we're a UI delegate for.